PipeWire: port Struct Reference

PipeWire 0.3.37

Data Fields
port Struct Reference
Collaboration diagram for port:
[legend]

## Data Fields
struct spa_list | link
struct node * | node
uint32_t | idx
unsigned long | p
struct spa_list | link_list
uint32_t | n_links
uint32_t | external
float | control_data
float * | audio_data [MAX_HNDL]
struct spa_node * | node
enum spa_direction | direction
uint32_t | port_id
struct filter * | filter
uint32_t | id
uint32_t | flags
struct pw_port * | port
struct pw_properties * | props
uint32_t | change_mask_all
struct spa_port_info | info
struct spa_list | param_list
struct spa_param_info | params [N_PORT_PARAMS]
struct spa_io_buffers * | io
struct buffer | buffers [MAX_BUFFERS]
uint32_t | n_buffers
struct queue | dequeued
struct queue | queued
struct spa_latency_info | latency [2]
uint8_t | user_data [0]

## Field Documentation

## ◆ audio_data

float* port::audio_data[MAX_HNDL]

## ◆ buffers

struct buffer port::buffers[MAX_BUFFERS]

Referenced by pw_buffers_clear().

## ◆ change_mask_all

uint32_t port::change_mask_all

## ◆ control_data

float port::control_data

## ◆ dequeued

struct queue port::dequeued

## ◆ direction

enum spa_direction port::direction

Referenced by pw_filter_remove_port(), pw_impl_port_add(), pw_impl_port_for_each_link(), pw_impl_port_get_direction(), pw_impl_port_recalc_latency(), pw_impl_port_set_mix(), pw_impl_port_set_param(), pw_impl_port_use_buffers(), spa_graph_port_add(), and spa_graph_port_init().

## ◆ external

uint32_t port::external

## ◆ filter

struct filter* port::filter

Referenced by pw_filter_dequeue_buffer(), pw_filter_queue_buffer(), and pw_filter_remove_port().

## ◆ flags

uint32_t port::flags

Referenced by pw_impl_port_set_param(), and spa_graph_port_init().

## ◆ id

uint32_t port::id

Referenced by pw_filter_remove_port(), and pw_impl_link_register().

## ◆ idx

uint32_t port::idx

## ◆ info

struct spa_port_info port::info

Referenced by pw_filter_update_properties(), pw_impl_port_get_info(), and pw_impl_port_recalc_latency().

## ◆ io

struct spa_io_buffers* port::io

Referenced by pw_impl_port_set_mix().

## ◆ latency

struct spa_latency_info port::latency[2]

Referenced by pw_impl_port_recalc_latency().

## ◆ link

struct spa_list port::link

Referenced by pw_filter_remove_port(), spa_graph_port_add(), and spa_graph_port_remove().

## ◆ link_list

struct spa_list port::link_list

## ◆ n_buffers

uint32_t port::n_buffers

## ◆ n_links

uint32_t port::n_links

## ◆ node [1/2]

struct node* port::node

Referenced by pw_impl_link_register(), pw_impl_port_add(), pw_impl_port_for_each_param(), pw_impl_port_get_node(), pw_impl_port_register(), pw_impl_port_set_param(), and spa_graph_port_add().

## ◆ node [2/2]

struct spa_node* port::node

## ◆ p

unsigned long port::p

Referenced by pw_filter_add_port(), pw_filter_dequeue_buffer(), pw_filter_destroy(), pw_filter_get_dsp_buffer(), and pw_filter_queue_buffer().

## ◆ param_list

struct spa_list port::param_list

## ◆ params

struct spa_param_info port::params[N_PORT_PARAMS]

## ◆ port

struct pw_port* port::port

Referenced by pw_filter_update_params(), and pw_impl_port_set_mix().

## ◆ port_id

uint32_t port::port_id

Referenced by pw_impl_port_add(), pw_impl_port_get_id(), pw_impl_port_set_param(), pw_impl_port_use_buffers(), and spa_graph_port_init().

## ◆ props

struct pw_properties* port::props

Referenced by pw_filter_get_properties(), and pw_filter_update_properties().

## ◆ queued

struct queue port::queued

## ◆ user_data

uint8_t port::user_data[0]

Referenced by pw_filter_dequeue_buffer(), pw_filter_get_dsp_buffer(), pw_filter_get_properties(), pw_filter_queue_buffer(), pw_filter_remove_port(), pw_filter_update_params(), pw_filter_update_properties(), and pw_impl_port_get_user_data().

The documentation for this struct was generated from the following files:

- module-filter-chain.c
- buffers.c
- filter.c